[CODE]
Public Sub ToolTip_RemoveForm(ByVal hWndMain As Long)
  Dim xLong1 As Long
  Dim xLong2 As Long

  For xLong1 = ToolTip_Collection.Count - ToolTip_CollStepX To 1& Step ToolTip_CollStepN
#If ToolTip_MultiForms Then
    xLong2 = CLng(ToolTip_Collection(xLong1 + 1&))
    If xLong2 = hWndMain Then
#End If
      If CLng(ToolTip_Collection(xLong1)) = ToolTip_Current_hChild Then
        ToolTip_Current_hChild = -1&
        If ToolTip_InitTime = -1& Then
          ShowWindow ToolTip_hWnd, 0&
          End If
        End If
      For xLong2 = 0& To ToolTip_CollStepX
        ToolTip_Collection.Remove xLong1
        Next
#If ToolTip_MultiForms Then
      End If
#End If
    Next
  End Sub
